from flask_wtf import FlaskForm
from wtforms import StringField, TextAreaField, SubmitField, ValidationError, IntegerField
from wtforms.validators import DataRequired, Email

#form=====
def CheckNameLength(form, field):
  if len(field.data) < 4:
    raise ValidationError('Name must have more then 3 characters')
	
def is_42(form, field):
    if field.data != 42:
        raise ValidationError('Must be 42')
	
class ContactForm(FlaskForm):
    name = StringField('Your Name:', [DataRequired(), CheckNameLength])
    email = StringField('Your e-mail address:', [DataRequired(), Email('your@email.com')])
    message = TextAreaField('Your message:', [DataRequired()])
    checkout = IntegerField('Checkout: Type in as numbers, forty two', [DataRequired(), is_42]) 
    submit = SubmitField('Send Message')
	
