from flask import Flask
from flask import url_for, redirect, render_template, request, flash
from app import app, mail
from .forms import ContactForm
from flask_mail import Message
from flask_classful import FlaskView, route

#views=====
@app.route('/')
@app.route('/index')
def index():
	title = 'Welcome'
	return render_template('index.html', title = title)

@app.route('/aboutus')
def aboutus():
	title = 'About Us'
	return render_template('aboutus.html', title = title)
	
@app.route('/contactus', methods=['GET', 'POST'])
def contactus():
    form = ContactForm()
    title = 'ContactUs'

    if request.method == 'POST':
        if form.validate() == False:
            flash('ERROR: Please fill in all fields, with a correct email address and type 42 in checkout')
            return redirect(url_for('contactus'))
        else:
            msg = Message("Message from your visitor " + form.name.data,
                          sender='info@example.com',
                          recipients= ['info@example.com'])
            msg.body = """
            From: %s <%s>,
            %s
            """ % (form.name.data, form.email.data, form.message.data)
            mail.send(msg)
            flash('Successfully  sent message')
            return redirect(url_for('contactus'))
    elif request.method == 'GET':
        return render_template('contactus.html', form=form, title = title)
	
@app.errorhandler(404)
def not_found_error(error):
	return render_template('404.html'), 404
#views====end


class SubtopicView(FlaskView):

    def SubtopicIntro(self):
            title = 'Subtopic Intro'
            return render_template('subtopic/subtopic00.html', title = title)
			
    def SubtopicStart(self):
            title = 'Subtopic Features'
            return render_template('subtopic/01start.html', title = title)
			
SubtopicView.register(app)
